gRPC C#
gRPC C#
Namespaces
Grpc.Core
Metadata Class
Metadata Constructor
Metadata Properties
Metadata Methods
Metadata Fields

Metadata Class

A collection of metadata entries that can be exchanged during a call. gRPC supports these types of metadata:

- Request headers - are sent by the client at the beginning of a remote call before any request messages are sent.
- Response headers - are sent by the server at the beginning of a remote call handler before any response messages are sent.
- Response trailers - are sent by the server at the end of a remote call along with resulting call status.

Inheritance Hierarchy
System
Object
Grpc.Core
Metadata

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class Metadata : IList<MetadataEntry>,
    	ICollection<MetadataEntry>, IEnumerable<MetadataEntry>, IEnumerable

    Public NotInheritable Class Metadata
    	Implements IList(Of MetadataEntry), ICollection(Of MetadataEntry),
    	IEnumerable(Of MetadataEntry), IEnumerable

    public ref class Metadata sealed : IList<MetadataEntry>,
    	ICollection<MetadataEntry>, IEnumerable<MetadataEntry>, IEnumerable

    [<SealedAttribute>]
    type Metadata =
        class
            interface IList<MetadataEntry>
            interface ICollection<MetadataEntry>
            interface IEnumerable<MetadataEntry>
            interface IEnumerable
        end

The Metadata type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Metadata | Initializes a new instance of Metadata.

Top
Properties

| Name | Description
--- | --- | ---
| Count |
| IsReadOnly |
| Item |

Top
Methods

| Name | Description
--- | --- | ---
| Add(Metadata Entry) |
| Add(String, Byte ) |
| Add(String, String) |
| Clear |
| Contains |
| CopyTo |
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetEnumerator |
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| IndexOf |
| Insert |
| Remove |
| RemoveAt |
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| BinaryHeaderSuffix | All binary headers should have this suffix.
| Empty | An read-only instance of metadata containing no entries.

Top
See Also

#### Reference

Grpc.Core Namespace